//////////////////////////////////////////////////////////////////////////////
// rumble.c                                                                 //
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// includes                                                                 //
//////////////////////////////////////////////////////////////////////////////
#include <gb.h>

//////////////////////////////////////////////////////////////////////////////
// variables                                                                //
//////////////////////////////////////////////////////////////////////////////
int rumbletime;

//////////////////////////////////////////////////////////////////////////////
// Rumble                                                                   //
//////////////////////////////////////////////////////////////////////////////
void Rumble(int time)
{
	rumbletime = time;
	SWITCH_RAM_MBC1(time ? 8 : 0);
}

//////////////////////////////////////////////////////////////////////////////
// UpdateRumble                                                             //
//////////////////////////////////////////////////////////////////////////////
void UpdateRumble()
{
	if (rumbletime)
	{
		if (--rumbletime == 0) SWITCH_RAM_MBC1(0);
	}
}
